<html>
<head>
<title>OGRE: Ogre::TransformKeyFrame Class Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.5.3 -->
<div class="tabs">
  <ul>
    <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
    <li class="current"><a href="classes.html"><span>Classes</span></a></li>
    <li><a href="files.html"><span>Files</span></a></li>
    <li><a href="dirs.html"><span>Directories</span></a></li>
    <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
  </ul>
</div>
<div class="tabs">
  <ul>
    <li><a href="classes.html"><span>Alphabetical&nbsp;List</span></a></li>
    <li><a href="annotated.html"><span>Class&nbsp;List</span></a></li>
    <li><a href="hierarchy.html"><span>Class&nbsp;Hierarchy</span></a></li>
    <li><a href="functions.html"><span>Class&nbsp;Members</span></a></li>
  </ul>
</div>
<div class="nav">
<a class="el" href="namespaceOgre.html">Ogre</a>::<a class="el" href="classOgre_1_1TransformKeyFrame.html">TransformKeyFrame</a></div>
<h1>Ogre::TransformKeyFrame Class Reference</h1><!-- doxytag: class="Ogre::TransformKeyFrame" --><!-- doxytag: inherits="Ogre::KeyFrame" -->Specialised <a class="el" href="classOgre_1_1KeyFrame.html" title="A key frame in an animation sequence defined by an AnimationTrack.">KeyFrame</a> which stores a full transform.  
<a href="#_details">More...</a>
<p>
<code>#include &lt;<a class="el" href="OgreKeyFrame_8h-source.html">OgreKeyFrame.h</a>&gt;</code>
<p>
<div class="dynheader">
Inheritance diagram for Ogre::TransformKeyFrame:</div>
<div class="dynsection">
<center><font size="2">[<a href="graph_legend.html">legend</a>]</font></center></div>

<p>
<a href="classOgre_1_1TransformKeyFrame-members.html">List of all members.</a><table border="0" cellpadding="0" cellspacing="0">
<tr><td></td></tr>
<tr><td colspan="2"><br><h2>Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1TransformKeyFrame.html#697d9705922b17bd0ca908eccd23ecf3">TransformKeyFrame</a> (const <a class="el" href="classOgre_1_1AnimationTrack.html">AnimationTrack</a> *parent, <a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> time)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Default constructor, you should not call this but use <a class="el" href="classOgre_1_1AnimationTrack.html#4517a1b16d6cb601754d98841bb4d7d6" title="Creates a new KeyFrame and adds it to this animation at the given time index.">AnimationTrack::createKeyFrame</a> instead.  <a href="#697d9705922b17bd0ca908eccd23ecf3"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1TransformKeyFrame.html#b3f1fdf74fd7841e65efea2a011100d9">~TransformKeyFrame</a> ()</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">virtual void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1TransformKeyFrame.html#8d82e03beea51388e7daf005b76b00a1">setTranslate</a> (const <a class="el" href="classOgre_1_1Vector3.html">Vector3</a> &amp;trans)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Sets the translation associated with this keyframe.  <a href="#8d82e03beea51388e7daf005b76b00a1"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">const <a class="el" href="classOgre_1_1Vector3.html">Vector3</a> &amp;&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1TransformKeyFrame.html#08a7526a3b8c6c7fc172d8375c99d185">getTranslate</a> (void) const </td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Gets the translation applied by this keyframe.  <a href="#08a7526a3b8c6c7fc172d8375c99d185"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">virtual void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1TransformKeyFrame.html#46868a5a6248f24b96b2a5a2b54b9cc3">setScale</a> (const <a class="el" href="classOgre_1_1Vector3.html">Vector3</a> &amp;scale)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Sets the scaling factor applied by this keyframe to the animable object at it's time index.  <a href="#46868a5a6248f24b96b2a5a2b54b9cc3"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">virtual const <a class="el" href="classOgre_1_1Vector3.html">Vector3</a> &amp;&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1TransformKeyFrame.html#50420fbbdc0419376b8ad103354a520d">getScale</a> (void) const </td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Gets the scaling factor applied by this keyframe.  <a href="#50420fbbdc0419376b8ad103354a520d"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">virtual void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1TransformKeyFrame.html#871cd8678b1be22dd19be96329794a9a">setRotation</a> (const <a class="el" href="classOgre_1_1Quaternion.html">Quaternion</a> &amp;rot)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Sets the rotation applied by this keyframe.  <a href="#871cd8678b1be22dd19be96329794a9a"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">virtual const <br>
<a class="el" href="classOgre_1_1Quaternion.html">Quaternion</a> &amp;&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1TransformKeyFrame.html#3f7862e9682e933b9ad9bc2e500a8f35">getRotation</a> (void) const </td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Gets the rotation applied by this keyframe.  <a href="#3f7862e9682e933b9ad9bc2e500a8f35"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1KeyFrame.html">KeyFrame</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1TransformKeyFrame.html#78bb5ea0c5eddda519873510b0646f09">_clone</a> (<a class="el" href="classOgre_1_1AnimationTrack.html">AnimationTrack</a> *newParent) const </td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Clone a keyframe (internal use only).  <a href="#78bb5ea0c5eddda519873510b0646f09"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1KeyFrame.html#bc6cab6ca252dffa5f7955fbf25707f8">getTime</a> (void) const </td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Gets the time of this keyframe in the animation sequence.  <a href="#bc6cab6ca252dffa5f7955fbf25707f8"></a><br></td></tr>
<tr><td colspan="2"><br><h2>Protected Attributes</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1Vector3.html">Vector3</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1TransformKeyFrame.html#a64713cf3569300e7c394a7aca5e9fd6">mTranslate</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1Vector3.html">Vector3</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1TransformKeyFrame.html#e71c63b50724dc7b5b866158eb9062f4">mScale</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1Quaternion.html">Quaternion</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1TransformKeyFrame.html#fc8fa0ac28a8af32d48e55a02daae0c1">mRotate</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1KeyFrame.html#34af076d7fda5e0da5fd4be8368a28a5">mTime</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">const <a class="el" href="classOgre_1_1AnimationTrack.html">AnimationTrack</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1KeyFrame.html#e9b9c257bf51af1be9bec3e8f50b4a41">mParentTrack</a></td></tr>

</table>
<hr><a name="_details"></a><h2>Detailed Description</h2>
Specialised <a class="el" href="classOgre_1_1KeyFrame.html" title="A key frame in an animation sequence defined by an AnimationTrack.">KeyFrame</a> which stores a full transform. 
<p>

<p>Definition at line <a class="el" href="OgreKeyFrame_8h-source.html#l00097">97</a> of file <a class="el" href="OgreKeyFrame_8h-source.html">OgreKeyFrame.h</a>.</p>
<hr><h2>Constructor &amp; Destructor Documentation</h2>
<a class="anchor" name="697d9705922b17bd0ca908eccd23ecf3"></a><!-- doxytag: member="Ogre::TransformKeyFrame::TransformKeyFrame" ref="697d9705922b17bd0ca908eccd23ecf3" args="(const AnimationTrack *parent, Real time)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Ogre::TransformKeyFrame::TransformKeyFrame           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1AnimationTrack.html">AnimationTrack</a> *&nbsp;</td>
          <td class="paramname"> <em>parent</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&nbsp;</td>
          <td class="paramname"> <em>time</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Default constructor, you should not call this but use <a class="el" href="classOgre_1_1AnimationTrack.html#4517a1b16d6cb601754d98841bb4d7d6" title="Creates a new KeyFrame and adds it to this animation at the given time index.">AnimationTrack::createKeyFrame</a> instead. 
<p>

</div>
</div><p>
<a class="anchor" name="b3f1fdf74fd7841e65efea2a011100d9"></a><!-- doxytag: member="Ogre::TransformKeyFrame::~TransformKeyFrame" ref="b3f1fdf74fd7841e65efea2a011100d9" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Ogre::TransformKeyFrame::~TransformKeyFrame           </td>
          <td>(</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreKeyFrame_8h-source.html#l00102">102</a> of file <a class="el" href="OgreKeyFrame_8h-source.html">OgreKeyFrame.h</a>.</p>

</div>
</div><p>
<hr><h2>Member Function Documentation</h2>
<a class="anchor" name="8d82e03beea51388e7daf005b76b00a1"></a><!-- doxytag: member="Ogre::TransformKeyFrame::setTranslate" ref="8d82e03beea51388e7daf005b76b00a1" args="(const Vector3 &amp;trans)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void Ogre::TransformKeyFrame::setTranslate           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Vector3.html">Vector3</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>trans</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Sets the translation associated with this keyframe. 
<p>
<dl class="remark" compact><dt><b>Remarks:</b></dt><dd>The translation factor affects how much the keyframe translates (moves) it's animable object at it's time index. </dd></dl>
<dl compact><dt><b>Parameters:</b></dt><dd>
  <table border="0" cellspacing="2" cellpadding="0">
    <tr><td valign="top"></td><td valign="top"><em>trans</em>&nbsp;</td><td>The vector to translate by </td></tr>
  </table>
</dl>

</div>
</div><p>
<a class="anchor" name="08a7526a3b8c6c7fc172d8375c99d185"></a><!-- doxytag: member="Ogre::TransformKeyFrame::getTranslate" ref="08a7526a3b8c6c7fc172d8375c99d185" args="(void) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="classOgre_1_1Vector3.html">Vector3</a>&amp; Ogre::TransformKeyFrame::getTranslate           </td>
          <td>(</td>
          <td class="paramtype">void&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Gets the translation applied by this keyframe. 
<p>

</div>
</div><p>
<a class="anchor" name="46868a5a6248f24b96b2a5a2b54b9cc3"></a><!-- doxytag: member="Ogre::TransformKeyFrame::setScale" ref="46868a5a6248f24b96b2a5a2b54b9cc3" args="(const Vector3 &amp;scale)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void Ogre::TransformKeyFrame::setScale           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Vector3.html">Vector3</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>scale</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Sets the scaling factor applied by this keyframe to the animable object at it's time index. 
<p>
<dl compact><dt><b>Parameters:</b></dt><dd>
  <table border="0" cellspacing="2" cellpadding="0">
    <tr><td valign="top"></td><td valign="top"><em>scale</em>&nbsp;</td><td>The vector to scale by (beware of supplying zero values for any component of this vector, it will scale the object to zero dimensions) </td></tr>
  </table>
</dl>

</div>
</div><p>
<a class="anchor" name="50420fbbdc0419376b8ad103354a520d"></a><!-- doxytag: member="Ogre::TransformKeyFrame::getScale" ref="50420fbbdc0419376b8ad103354a520d" args="(void) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual const <a class="el" href="classOgre_1_1Vector3.html">Vector3</a>&amp; Ogre::TransformKeyFrame::getScale           </td>
          <td>(</td>
          <td class="paramtype">void&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const<code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Gets the scaling factor applied by this keyframe. 
<p>

</div>
</div><p>
<a class="anchor" name="871cd8678b1be22dd19be96329794a9a"></a><!-- doxytag: member="Ogre::TransformKeyFrame::setRotation" ref="871cd8678b1be22dd19be96329794a9a" args="(const Quaternion &amp;rot)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void Ogre::TransformKeyFrame::setRotation           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Quaternion.html">Quaternion</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>rot</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Sets the rotation applied by this keyframe. 
<p>
<dl compact><dt><b>Parameters:</b></dt><dd>
  <table border="0" cellspacing="2" cellpadding="0">
    <tr><td valign="top"></td><td valign="top"><em>rot</em>&nbsp;</td><td>The rotation applied; use <a class="el" href="classOgre_1_1Quaternion.html" title="Implementation of a Quaternion, i.e.">Quaternion</a> methods to convert from angle/axis or <a class="el" href="classOgre_1_1Matrix3.html" title="A 3x3 matrix which can represent rotations around axes.">Matrix3</a> if you don't like using Quaternions directly. </td></tr>
  </table>
</dl>

</div>
</div><p>
<a class="anchor" name="3f7862e9682e933b9ad9bc2e500a8f35"></a><!-- doxytag: member="Ogre::TransformKeyFrame::getRotation" ref="3f7862e9682e933b9ad9bc2e500a8f35" args="(void) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual const <a class="el" href="classOgre_1_1Quaternion.html">Quaternion</a>&amp; Ogre::TransformKeyFrame::getRotation           </td>
          <td>(</td>
          <td class="paramtype">void&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const<code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Gets the rotation applied by this keyframe. 
<p>

</div>
</div><p>
<a class="anchor" name="78bb5ea0c5eddda519873510b0646f09"></a><!-- doxytag: member="Ogre::TransformKeyFrame::_clone" ref="78bb5ea0c5eddda519873510b0646f09" args="(AnimationTrack *newParent) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1KeyFrame.html">KeyFrame</a>* Ogre::TransformKeyFrame::_clone           </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1AnimationTrack.html">AnimationTrack</a> *&nbsp;</td>
          <td class="paramname"> <em>newParent</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const<code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Clone a keyframe (internal use only). 
<p>

<p>Reimplemented from <a class="el" href="classOgre_1_1KeyFrame.html#f7829d77256717381eb1928bbbce7166">Ogre::KeyFrame</a>.</p>

</div>
</div><p>
<a class="anchor" name="bc6cab6ca252dffa5f7955fbf25707f8"></a><!-- doxytag: member="Ogre::TransformKeyFrame::getTime" ref="bc6cab6ca252dffa5f7955fbf25707f8" args="(void) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> Ogre::KeyFrame::getTime           </td>
          <td>(</td>
          <td class="paramtype">void&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const<code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Gets the time of this keyframe in the animation sequence. 
<p>

<p>Definition at line <a class="el" href="OgreKeyFrame_8h-source.html#l00060">60</a> of file <a class="el" href="OgreKeyFrame_8h-source.html">OgreKeyFrame.h</a>.</p>

</div>
</div><p>
<hr><h2>Member Data Documentation</h2>
<a class="anchor" name="a64713cf3569300e7c394a7aca5e9fd6"></a><!-- doxytag: member="Ogre::TransformKeyFrame::mTranslate" ref="a64713cf3569300e7c394a7aca5e9fd6" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Vector3.html">Vector3</a> <a class="el" href="classOgre_1_1TransformKeyFrame.html#a64713cf3569300e7c394a7aca5e9fd6">Ogre::TransformKeyFrame::mTranslate</a><code> [protected]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreKeyFrame_8h-source.html#l00136">136</a> of file <a class="el" href="OgreKeyFrame_8h-source.html">OgreKeyFrame.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="e71c63b50724dc7b5b866158eb9062f4"></a><!-- doxytag: member="Ogre::TransformKeyFrame::mScale" ref="e71c63b50724dc7b5b866158eb9062f4" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Vector3.html">Vector3</a> <a class="el" href="classOgre_1_1TransformKeyFrame.html#e71c63b50724dc7b5b866158eb9062f4">Ogre::TransformKeyFrame::mScale</a><code> [protected]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreKeyFrame_8h-source.html#l00137">137</a> of file <a class="el" href="OgreKeyFrame_8h-source.html">OgreKeyFrame.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="fc8fa0ac28a8af32d48e55a02daae0c1"></a><!-- doxytag: member="Ogre::TransformKeyFrame::mRotate" ref="fc8fa0ac28a8af32d48e55a02daae0c1" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Quaternion.html">Quaternion</a> <a class="el" href="classOgre_1_1TransformKeyFrame.html#fc8fa0ac28a8af32d48e55a02daae0c1">Ogre::TransformKeyFrame::mRotate</a><code> [protected]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreKeyFrame_8h-source.html#l00138">138</a> of file <a class="el" href="OgreKeyFrame_8h-source.html">OgreKeyFrame.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="34af076d7fda5e0da5fd4be8368a28a5"></a><!-- doxytag: member="Ogre::TransformKeyFrame::mTime" ref="34af076d7fda5e0da5fd4be8368a28a5" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> <a class="el" href="classOgre_1_1KeyFrame.html#34af076d7fda5e0da5fd4be8368a28a5">Ogre::KeyFrame::mTime</a><code> [protected, inherited]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreKeyFrame_8h-source.html#l00067">67</a> of file <a class="el" href="OgreKeyFrame_8h-source.html">OgreKeyFrame.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="e9b9c257bf51af1be9bec3e8f50b4a41"></a><!-- doxytag: member="Ogre::TransformKeyFrame::mParentTrack" ref="e9b9c257bf51af1be9bec3e8f50b4a41" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="classOgre_1_1AnimationTrack.html">AnimationTrack</a>* <a class="el" href="classOgre_1_1KeyFrame.html#e9b9c257bf51af1be9bec3e8f50b4a41">Ogre::KeyFrame::mParentTrack</a><code> [protected, inherited]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreKeyFrame_8h-source.html#l00068">68</a> of file <a class="el" href="OgreKeyFrame_8h-source.html">OgreKeyFrame.h</a>.</p>

</div>
</div><p>
<hr>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="OgreKeyFrame_8h-source.html">OgreKeyFrame.h</a></ul>
<hr>
<p>
Copyright &copy; 2000-2005 by The OGRE Team<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/"><img alt="Creative Commons License" border="0" src="http://creativecommons.org/images/public/somerights20.png"/></a><br/>
This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/">Creative Commons Attribution-ShareAlike 2.5 License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Mon Jun 16 12:50:13 2008
</p>
</body>
</html>
